/*
 * NonlinearFullAndLinearIndexConstruction.cpp
 *
 *  Created on: 13. Apr 2017
 *      Author: Jan Travnicek
 */

#include "NonlinearFullAndLinearIndexConstruction.h"
#include <registration/AlgoRegistration.hpp>

namespace arbology {

namespace indexing {

auto nonlinearFullAndLinearIndexConstructionPrefixRankedTree = registration::AbstractRegister < NonlinearFullAndLinearIndexConstruction, indexes::arbology::NonlinearFullAndLinearIndex < >, const tree::PrefixRankedTree < > & > ( NonlinearFullAndLinearIndexConstruction::construct );

auto nonlinearFullAndLinearIndexConstructionPrefixRankedBarTree = registration::AbstractRegister < NonlinearFullAndLinearIndexConstruction, indexes::arbology::NonlinearFullAndLinearIndex < >, const tree::PrefixRankedBarTree < > & > ( NonlinearFullAndLinearIndexConstruction::construct );

} /* namespace indexing */

} /* namespace arbology */
