/*
 * CompressedBitParallelismPatterns.cpp
 *
 *  Created on: 2. 1. 2017
 *      Author: Jan Travnicek
 */

#include "CompressedBitParallelismPatterns.h"
#include <registration/AlgoRegistration.hpp>

namespace arbology {

namespace query {

auto CompressedBitParallelismPatternsPrefixRankedPattern = registration::AbstractRegister < CompressedBitParallelismPatterns, ext::set < unsigned >, const indexes::arbology::CompressedBitParallelTreeIndex < > &, const tree::PrefixRankedPattern < > & > ( CompressedBitParallelismPatterns::query );
auto CompressedBitParallelismPatternsPrefixRankedBarPattern = registration::AbstractRegister < CompressedBitParallelismPatterns, ext::set < unsigned >, const indexes::arbology::CompressedBitParallelTreeIndex < > &, const tree::PrefixRankedBarPattern < > & > ( CompressedBitParallelismPatterns::query );

} /* namespace query */

} /* namespace arbology */
