/*
 * ToFTAGlushkov.cpp
 *
 *  Created on: 24. 2. 2019
 *	  Author: Tomas Pecka
 */

#include "ToFTAGlushkov.h"
#include <registration/AlgoRegistration.hpp>

namespace rte {

namespace convert {

auto ToFTAGlushkovFormalRTE = registration::AbstractRegister < ToFTAGlushkov,
			automaton::NFTA < DefaultSymbolType, DefaultRankType,
				ext::set < common::ranked_symbol < ext::pair < DefaultSymbolType, unsigned >, DefaultRankType > > >,
			const rte::FormalRTE < > & > ( ToFTAGlushkov::convert );

} /* namespace convert */

} /* namespace rte */
