/*
 * SetCompare.cpp
 *
 *  Created on: Jna 14, 2019
 *      Author: Tomas Pecka
 */

#include "SetCompare.h"
#include <registration/AlgoRegistration.hpp>

#include <string/LinearString.h>

namespace compare {

auto SetCompareLinearString = registration::AbstractRegister < SetCompare, bool, const ext::set < string::LinearString < > > &, const ext::set < string::LinearString < > > & > ( SetCompare::compare );
auto SetCompareUnsignedInt  = registration::AbstractRegister < SetCompare, bool, const ext::set < unsigned > &, const ext::set < unsigned > & > ( SetCompare::compare );

} /* namespace compare */
