/*
 * CFG.cpp
 *
 *  Created on: Nov 17, 2013
 *      Author: Jan Travnicek
 */

#include "CFG.h"
#include <grammar/Grammar.h>
#include <object/Object.h>

#include <registration/XmlRegistration.hpp>

namespace {

static auto xmlWrite = registration::XmlWriterRegister < grammar::CFG < > > ( );
static auto xmlRead = registration::XmlReaderRegister < grammar::CFG < > > ( );

static auto xmlGroup = registration::XmlRegisterTypeInGroup < object::Object, grammar::CFG < > > ( );

} /* namespace */
