/*
 * PostfixRankedTree.cpp
 *
 *  Created on: May 4, 2017
 *      Author: Aleksandr Shatrovskii
 */

#include "PostfixRankedTree.h"
#include <object/Object.h>

#include <registration/XmlRegistration.hpp>

namespace {

static auto xmlWrite = registration::XmlWriterRegister < tree::PostfixRankedTree < > > ( );
static auto xmlRead = registration::XmlReaderRegister < tree::PostfixRankedTree < > > ( );

static auto xmlGroup = registration::XmlRegisterTypeInGroup < object::Object, tree::PostfixRankedTree < > > ( );

} /* namespace */
