/*
 * CFG.cpp
 *
 * Created on: Sep 27, 2017
 * Author: Jan Travnicek
 */

#include "CFG.h"
#include <grammar/Grammar.h>

#include <registration/StringRegistration.hpp>

namespace {

static auto stringWrite = registration::StringWriterRegister < grammar::CFG < > > ( );
static auto stringReader = registration::StringReaderRegister < grammar::Grammar, grammar::CFG < > > ( );

} /* namespace */
