/*
 * BadCharacterShiftTable.cpp
 *
 *  Created on: 5. 11. 2014
 *      Author: Radomir Polach, Tomas Pecka, Jan Travnicek
 */

#include "BadCharacterShiftTable.h"
#include <registration/AlgoRegistration.hpp>

namespace string {

namespace properties {

auto BadCharacterShiftTableLinearString = registration::AbstractRegister < BadCharacterShiftTable, ext::map < DefaultSymbolType, size_t >, const string::LinearString < > & > ( BadCharacterShiftTable::bcs );

} /* namespace properties */

} /* namespace string */
