/*
 * TreeCompare.cpp
 *
 *  Created on: Feb 9, 2019
 *      Author: Tomas Pecka
 */

#include "TreeCompare.h"
#include <registration/AlgoRegistration.hpp>
#include <common/DefaultSymbolType.h>
#include <common/DefaultRankType.h>

namespace compare {

auto TreeCompareRankedTree = registration::AbstractRegister < TreeCompare, bool, const tree::RankedTree < DefaultSymbolType, DefaultRankType> &, const tree::RankedTree < DefaultSymbolType, DefaultRankType > & > ( TreeCompare::compare );

} /* namespace compare */
