/*
 * TrieCompare.cpp
 *
 *  Created on: Jan 15, 2019
 *      Author: Tomas Pecka
 */

#include "TrieCompare.h"
#include <registration/AlgoRegistration.hpp>

namespace compare {

auto TrieCompareLinearString = registration::AbstractRegister < TrieCompare, bool, const ext::trie < DefaultSymbolType, bool > &, const ext::trie < DefaultSymbolType, bool > & > ( TrieCompare::compare );

} /* namespace compare */
