/*
 * ObjectsPair.cpp
 *
 * Created on: Sep 27, 2017
 * Author: Jan Travnicek
 */

#include "ObjectsPair.h"

#include <registration/StringRegistration.hpp>

namespace {

static auto stringWrite = registration::StringWriterRegister < ext::pair < object::Object, object::Object > > ( );
static auto stringReader = registration::StringReaderRegister < object::Object, ext::pair < object::Object, object::Object > > ( );

static auto stringWriteGroup = registration::StringWriterRegisterTypeInGroup < object::Object, ext::pair < object::Object, object::Object > > ( );
static auto stringReaderGroup = registration::StringReaderRegisterTypeInGroup < object::Object, ext::pair < object::Object, object::Object > > ( );

} /* namespace */
